Welcome!

Welcome to the official BlackBerry Support Community Forums.

This is your resource to discuss support topics with your peers, and learn from each other.

inside custom component

Java Development

Reply
New Contributor
dnatyshak
Posts: 2
Registered: ‎08-15-2011
My Device: Developer

Missing net_rim_crypto module

[ Edited ]

I am trying to install an application onto a BlackBerry Curve 9330 running O/S 5.0 from a web server. When I click on the JAD file to install the application, it does not display the download button and displays the following message: This application requires the following module, which is not installed: net_rim_crypto. How do I install the net_rim_crypto onto the curve? I had not issues using the same installation method for a BlackBerry Bold running O/S 6.0

JSanders
Posts: 86,601
Likes: 23,200
Solutions: 5,993
Registered: ‎04-01-2008
My Device: Passport • Z30 • Z10 • Torch9850 • Playbook
My Carrier: Verizon

Re: Missing net_rim_crypto module

In most cases with this error, it is found that the application install you are making is for a higher OS (such as v.6) than your device is running, which is exactly the scenario you are using.

 

You need to find an OS5 compatible download version. What app is this?




1. If any post helps you please click the Like Button below the post(s) that helped you.
2. Please resolve your thread by marking the post "Solution?" which solved it for you!
3. Install free BlackBerry Protect today for backups of contacts and data.
4. Guide to Unlocking your BlackBerry & Unlock Codes


Join our BBM Channels (Beta)
BlackBerry Support Forums Channel
PIN: C0001B7B4   Display/Scan Bar Code
Knowledge Base Updates
PIN: C0005A9AA   Display/Scan Bar Code
New Contributor
dnatyshak
Posts: 2
Registered: ‎08-15-2011
My Device: Developer

Re: Missing net_rim_crypto module

It is an internally developed application. While is loads properly on O/S 6.0 devices, it was developed and compiled for O/S 5.0 devices and it successfully loads and executes on all O/S 5.0 device simulators, including the simulator for the 9330 Curve.

JSanders
Posts: 86,601
Likes: 23,200
Solutions: 5,993
Registered: ‎04-01-2008
My Device: Passport • Z30 • Z10 • Torch9850 • Playbook
My Carrier: Verizon

Re: Missing net_rim_crypto module


dnatyshak wrote:

It is an internally developed application. While is loads properly on O/S 6.0 devices, it was developed and compiled for O/S 5.0 devices and it successfully loads and executes on all O/S 5.0 device simulators, including the simulator for the 9330 Curve.


Oh. See, I can't know all that unless you inform of such in your initial post.

So, this thread should be in this Forum's developer section and you should seek assistance there, not in the device model specific sections. Please don't repost, we'll get this thread moved to the http://supportforums.blackberry.com/t5/Java-Development/bd-p/java_dev

 

Good luck.




1. If any post helps you please click the Like Button below the post(s) that helped you.
2. Please resolve your thread by marking the post "Solution?" which solved it for you!
3. Install free BlackBerry Protect today for backups of contacts and data.
4. Guide to Unlocking your BlackBerry & Unlock Codes


Join our BBM Channels (Beta)
BlackBerry Support Forums Channel
PIN: C0001B7B4   Display/Scan Bar Code
Knowledge Base Updates
PIN: C0005A9AA   Display/Scan Bar Code